glibmm 2.48.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
Glib::StaticMutex Struct Reference

Like Glib::Mutex, but can be defined at compile time. More...

`#include <glibmm/thread.h>`

## Public Member Functions
void | lock ()
bool | trylock ()
void | unlock ()
| operator Mutex& ()
GStaticMutex* | gobj ()

## Related Functions
(Note that these are not member functions.)
#define | GLIBMM_STATIC_MUTEX_INIT { G_STATIC_MUTEX_INIT }
| Initializer macro for Glib::StaticMutex. More...

## Detailed Description

Like Glib::Mutex, but can be defined at compile time.

Use `GLIBMM_STATIC_MUTEX_INIT` to initialize a StaticMutex:

Glib::StaticMutex mutex = GLIBMM_STATIC_MUTEX_INIT;

A StaticMutex can be used without calling Glib::thread_init(), it will silently do nothing then. That will also work when using the implicit conversion to Mutex&, thus you can safely use Mutex::Lock with a StaticMutex.

Deprecated:
  Use Glib::Threads::Mutex instead, which can be used statically.

## Member Function Documentation

GStaticMutex* Glib::StaticMutex::gobj | ( |  | ) |
| inline

void Glib::StaticMutex::lock | ( |  | ) |

Glib::StaticMutex::operator Mutex& | ( |  | ) |

bool Glib::StaticMutex::trylock | ( |  | ) |

void Glib::StaticMutex::unlock | ( |  | ) |

## Friends And Related Function Documentation

#define GLIBMM_STATIC_MUTEX_INIT { G_STATIC_MUTEX_INIT }
| related

Initializer macro for Glib::StaticMutex.

Deprecated:
  Glib::StaticMutex is deprecated in favour of Glib::Threads::Mutex, which can be used statically.